cURL
curl --request POST \ --url https://api.letpiper.com/v1/orgs/{org_id}/roles/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "permissions": [ "<string>" ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "permissions": [ "<string>" ], "is_system": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Create a custom role.
Custom roles can have any combination of valid permissions. Role names must be unique within the organization.
Platform token (starts with pat_)
Schema for creating a custom role.
1 - 100
500
Successful Response
Schema for reading role data.